# -*- encoding: utf-8 -*-
# stub: hiera-eyaml 3.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "hiera-eyaml".freeze
  s.version = "3.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Vox Pupuli".freeze]
  s.date = "2023-05-26"
  s.description = "Hiera backend for decrypting encrypted yaml properties".freeze
  s.email = "voxpupuli@groups.io".freeze
  s.executables = ["eyaml".freeze]
  s.files = [".github/dependabot.yml".freeze, ".github/workflows/release.yml".freeze, ".github/workflows/test.yml".freeze, ".gitignore".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "HISTORY.md".freeze, "LICENSE.txt".freeze, "PLUGINS.md".freeze, "README.md".freeze, "Rakefile".freeze, "bin/eyaml".freeze, "hiera-eyaml.gemspec".freeze, "lib/hiera/backend/eyaml.rb".freeze, "lib/hiera/backend/eyaml/CLI.rb".freeze, "lib/hiera/backend/eyaml/commands.rb".freeze, "lib/hiera/backend/eyaml/edithelper.rb".freeze, "lib/hiera/backend/eyaml/encrypthelper.rb".freeze, "lib/hiera/backend/eyaml/encryptor.rb".freeze, "lib/hiera/backend/eyaml/encryptors/pkcs7.rb".freeze, "lib/hiera/backend/eyaml/highlinehelper.rb".freeze, "lib/hiera/backend/eyaml/logginghelper.rb".freeze, "lib/hiera/backend/eyaml/options.rb".freeze, "lib/hiera/backend/eyaml/parser/encrypted_tokens.rb".freeze, "lib/hiera/backend/eyaml/parser/parser.rb".freeze, "lib/hiera/backend/eyaml/parser/token.rb".freeze, "lib/hiera/backend/eyaml/plugins.rb".freeze, "lib/hiera/backend/eyaml/subcommand.rb".freeze, "lib/hiera/backend/eyaml/subcommands/createkeys.rb".freeze, "lib/hiera/backend/eyaml/subcommands/decrypt.rb".freeze, "lib/hiera/backend/eyaml/subcommands/edit.rb".freeze, "lib/hiera/backend/eyaml/subcommands/encrypt.rb".freeze, "lib/hiera/backend/eyaml/subcommands/help.rb".freeze, "lib/hiera/backend/eyaml/subcommands/recrypt.rb".freeze, "lib/hiera/backend/eyaml/subcommands/unknown_command.rb".freeze, "lib/hiera/backend/eyaml/subcommands/version.rb".freeze, "lib/hiera/backend/eyaml/utils.rb".freeze, "lib/hiera/backend/eyaml_backend.rb".freeze, "sublime_text/README.md".freeze, "sublime_text/eyaml.sublime-package".freeze, "sublime_text/eyaml.syntax_definition.json".freeze, "tools/git_tag_release.rb".freeze, "tools/regem.sh".freeze]
  s.homepage = "https://github.com/voxpupuli/hiera-eyaml/".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new([">= 2.5.0".freeze, "< 4".freeze])
  s.rubygems_version = "3.4.20".freeze
  s.summary = "OpenSSL Encryption backend for Hiera".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<optimist>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<highline>.freeze, [">= 0"])
end

